%define url_ver %(echo %{version}|cut -d. -f1,2)

Summary:      MATE Panel applet indicator
Name:         mate-indicator-applet
Version:      1.18.0
Release:      %mkrel 1
License:      LGPLv2+ and GPLv3
Group:        Graphical desktop/MATE
URL:          http://mate-desktop.org
Source0:      http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: intltool
BuildRequires: mate-common >= 1.17.0
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(indicator3-0.4) >= 0.3.90
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(libmatepanelapplet-4.0) >= 1.17.0
BuildRequires: pkgconfig(x11)
# Should we import this package??:
#BuildRequires: pkgconfig(libido3-0.1) >= 13.10

Requires:      mate-panel >= 1.17.0

%description
A small applet to display information from various applications consistently
in the panel. The indicator applet exposes Ayatana Indicators in the MATE
Panel. Ayatana Indicators are an initiative by Canonical to provide crisp and
clean system and application status indication. They take the form of an icon
and associated menu, displayed (usually) in the desktop panel. Existing
indicators include the Message Menu, Battery Menu and Sound menu.

%prep
%autosetup

%build
%configure2_5x --disable-static

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc ChangeLog
%license COPYING
%{_libexecdir}/mate-indicator-applet*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/mate-panel/applets/*.mate-panel-applet
%{_iconsdir}/hicolor/*/*/*


%changelog
* Wed Mar 15 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092642
- Update to 1.18.0 version

* Tue Dec 13 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1074804
- new version 1.16.0
- build with gtk3

* Sun Dec 20 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 912386
- Update to 1.12.1 version

* Wed Oct 15 2014 umeabot <umeabot> 1.6.0-4.mga5
+ Revision: 750133
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.6.0-3.mga5
+ Revision: 682192
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.6.0-2.mga4
+ Revision: 531164
- Mageia 4 Mass Rebuild

* Thu Aug 01 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 462409
- fix autogen
- add mkrel

  + tarakbumba <tarakbumba>
    - imported package mate-indicator-applet

